<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>RFS</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.mobile, class: RFS">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/RFS.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.mobile</a></div>
<h1 title="Class RFS" class="title">Class RFS</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.ici.dataImporter.mobile.RFS</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">RFS</span>
extends java.lang.Object</pre>
<div class="block">Process mobility data from cellphone sources</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">RFS</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#filterInfo(java.io.File,java.io.File,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int)">filterInfo</a></span>&#8203;(java.io.File&nbsp;inFile,
java.io.File&nbsp;outFile,
java.lang.String&nbsp;iris,
java.lang.String&nbsp;typeTime,
java.lang.String&nbsp;date,
java.lang.String&nbsp;hour,
int&nbsp;nationauxEtrangers)</code></th>
<td class="col-last">
<div class="block">Copy information from mobile data for a specific set of IRIS (destination or input) and optional characteristics</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#filterInfo(java.io.File,java.io.File,java.util.List,java.util.List,java.util.List,java.util.List,int,boolean)">filterInfo</a></span>&#8203;(java.io.File&nbsp;inFile,
java.io.File&nbsp;outFile,
java.util.List&lt;java.lang.String&gt;&nbsp;lIris,
java.util.List&lt;java.lang.String&gt;&nbsp;typeTimes,
java.util.List&lt;java.lang.String&gt;&nbsp;dates,
java.util.List&lt;java.lang.String&gt;&nbsp;hours,
int&nbsp;nationauxEtrangers,
boolean&nbsp;append)</code></th>
<td class="col-last">
<div class="block">Copy information from mobile data for a specific set of IRIS (destination or input) and optional characteristics</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.util.TreeMap&lt;java.lang.String,&#8203;java.lang.Double&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getTotalByDest(java.io.File,java.lang.String,java.util.List,java.util.List,java.util.List,int)">getTotalByDest</a></span>&#8203;(java.io.File&nbsp;inFile,
java.lang.String&nbsp;iris,
java.util.List&lt;java.lang.String&gt;&nbsp;typeTimes,
java.util.List&lt;java.lang.String&gt;&nbsp;dates,
java.util.List&lt;java.lang.String&gt;&nbsp;hours,
int&nbsp;nationauxEtrangers)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getTypeDay(java.lang.String)">getTypeDay</a></span>&#8203;(java.lang.String&nbsp;dateIn)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#isWeekDay(java.lang.String)">isWeekDay</a></span>&#8203;(java.lang.String&nbsp;date)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeCommonGeoAgreg(java.io.File,java.io.File,java.io.File)">makeCommonGeoAgreg</a></span>&#8203;(java.io.File&nbsp;IRISGroupFile,
java.io.File&nbsp;EGTagregFile,
java.io.File&nbsp;outFile)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>static java.util.TreeMap&lt;java.lang.String,&#8203;java.util.TreeMap&lt;java.lang.String,&#8203;java.lang.Double&gt;&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeMatrixOD(org.geotools.data.simple.SimpleFeatureCollection,java.io.File,java.lang.String,java.io.File)">makeMatrixOD</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;egtAgreg,
java.io.File&nbsp;csvIn,
java.lang.String&nbsp;typeDay,
java.io.File&nbsp;outFolder)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#prepareGeoFeatures(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">prepareGeoFeatures</a></span>&#8203;(java.io.File&nbsp;inFile,
java.io.File&nbsp;outFile,
java.io.File&nbsp;groupedIRISFile,
java.io.File&nbsp;epciFile,
java.io.File&nbsp;departmentFile)</code></th>
<td class="col-last">
<div class="block">Select geographical features from diverse sources that are an origin or a destination of a mobility matrix</div>
</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#transMatrixOD(java.io.File,java.util.TreeMap)">transMatrixOD</a></span>&#8203;(java.io.File&nbsp;commonGeoAgregFile,
java.util.TreeMap&lt;java.lang.String,&#8203;java.util.TreeMap&lt;java.lang.String,&#8203;java.lang.Double&gt;&gt;&nbsp;matrixInCollection)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>RFS</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">RFS</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="main(java.lang.String[])">
<h3>main</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">main</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;args)</span>
                 throws <span class="exceptions">java.io.IOException,
org.opengis.referencing.FactoryException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>org.opengis.referencing.FactoryException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="transMatrixOD(java.io.File,java.util.TreeMap)">
<h3>transMatrixOD</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">transMatrixOD</span>&#8203;(<span class="parameters">java.io.File&nbsp;commonGeoAgregFile,
java.util.TreeMap&lt;java.lang.String,&#8203;java.util.TreeMap&lt;java.lang.String,&#8203;java.lang.Double&gt;&gt;&nbsp;matrixInCollection)</span>
                          throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isWeekDay(java.lang.String)">
<h3>isWeekDay</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">isWeekDay</span>&#8203;(<span class="parameters">java.lang.String&nbsp;date)</span>
                         throws <span class="exceptions">java.text.ParseException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.text.ParseException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getTypeDay(java.lang.String)">
<h3>getTypeDay</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getTypeDay</span>&#8203;(<span class="parameters">java.lang.String&nbsp;dateIn)</span>
                                   throws <span class="exceptions">java.text.ParseException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.text.ParseException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="makeMatrixOD(org.geotools.data.simple.SimpleFeatureCollection,java.io.File,java.lang.String,java.io.File)">
<h3>makeMatrixOD</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.TreeMap&lt;java.lang.String,&#8203;java.util.TreeMap&lt;java.lang.String,&#8203;java.lang.Double&gt;&gt;</span>&nbsp;<span class="member-name">makeMatrixOD</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;egtAgreg,
java.io.File&nbsp;csvIn,
java.lang.String&nbsp;typeDay,
java.io.File&nbsp;outFolder)</span>
                                                                                                             throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="makeCommonGeoAgreg(java.io.File,java.io.File,java.io.File)">
<h3>makeCommonGeoAgreg</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">makeCommonGeoAgreg</span>&#8203;(<span class="parameters">java.io.File&nbsp;IRISGroupFile,
java.io.File&nbsp;EGTagregFile,
java.io.File&nbsp;outFile)</span>
                                       throws <span class="exceptions">java.io.IOException,
org.opengis.referencing.FactoryException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>org.opengis.referencing.FactoryException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="prepareGeoFeatures(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">
<h3>prepareGeoFeatures</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">prepareGeoFeatures</span>&#8203;(<span class="parameters">java.io.File&nbsp;inFile,
java.io.File&nbsp;outFile,
java.io.File&nbsp;groupedIRISFile,
java.io.File&nbsp;epciFile,
java.io.File&nbsp;departmentFile)</span>
                                       throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Select geographical features from diverse sources that are an origin or a destination of a mobility matrix</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>inFile</code> - mobility file</dd>
<dd><code>outFile</code> - where to store the geographical file</dd>
<dd><code>groupedIRISFile</code> - geo files of the grouped IRIS</dd>
<dd><code>epciFile</code> - geo files of the EPCI (intercommunalities)</dd>
<dd><code>departmentFile</code> - geo files of French departments</dd>
<dt>Returns:</dt>
<dd>the geo files with simplified and common schema</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading and writing files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="filterInfo(java.io.File,java.io.File,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int)">
<h3>filterInfo</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">filterInfo</span>&#8203;(<span class="parameters">java.io.File&nbsp;inFile,
java.io.File&nbsp;outFile,
java.lang.String&nbsp;iris,
java.lang.String&nbsp;typeTime,
java.lang.String&nbsp;date,
java.lang.String&nbsp;hour,
int&nbsp;nationauxEtrangers)</span>
                               throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Copy information from mobile data for a specific set of IRIS (destination or input) and optional characteristics</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>inFile</code> - input file</dd>
<dd><code>outFile</code> - where to write the excerpt</dd>
<dd><code>iris</code> - IRIS of destination or of start</dd>
<dd><code>typeTime</code> - type of time zone</dd>
<dd><code>date</code> - date selected (can be null)</dd>
<dd><code>hour</code> - hour slice selected (can be null)</dd>
<dd><code>nationauxEtrangers</code> - type of cellphone numbers nationality. Will select:
                           <ul>
                           <li>-1 (or other value): every entries</li>
                           <li>0: all types of users</li>
                           <li>1: nationals</li>
                           <li>1: internationals</li>
                           </ul></dd>
<dt>Returns:</dt>
<dd>the excerpt</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading and writing files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="filterInfo(java.io.File,java.io.File,java.util.List,java.util.List,java.util.List,java.util.List,int,boolean)">
<h3>filterInfo</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">filterInfo</span>&#8203;(<span class="parameters">java.io.File&nbsp;inFile,
java.io.File&nbsp;outFile,
java.util.List&lt;java.lang.String&gt;&nbsp;lIris,
java.util.List&lt;java.lang.String&gt;&nbsp;typeTimes,
java.util.List&lt;java.lang.String&gt;&nbsp;dates,
java.util.List&lt;java.lang.String&gt;&nbsp;hours,
int&nbsp;nationauxEtrangers,
boolean&nbsp;append)</span>
                               throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Copy information from mobile data for a specific set of IRIS (destination or input) and optional characteristics</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>inFile</code> - input file</dd>
<dd><code>outFile</code> - where to write the excerpt</dd>
<dd><code>lIris</code> - list of IRIS of destination or of start</dd>
<dd><code>typeTimes</code> - types of time zone</dd>
<dd><code>dates</code> - dates selected (can be null)</dd>
<dd><code>hours</code> - hours slice selected (can be null)</dd>
<dd><code>nationauxEtrangers</code> - type of cellphone numbers nationality. Will select:
                           <ul>
                           <li>-1 (or other value): every entries</li>
                           <li>0: all types of users</li>
                           <li>1: nationals</li>
                           <li>1: internationals</li>
                           </ul></dd>
<dt>Returns:</dt>
<dd>the excerpt</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading and writing files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getTotalByDest(java.io.File,java.lang.String,java.util.List,java.util.List,java.util.List,int)">
<h3>getTotalByDest</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.TreeMap&lt;java.lang.String,&#8203;java.lang.Double&gt;</span>&nbsp;<span class="member-name">getTotalByDest</span>&#8203;(<span class="parameters">java.io.File&nbsp;inFile,
java.lang.String&nbsp;iris,
java.util.List&lt;java.lang.String&gt;&nbsp;typeTimes,
java.util.List&lt;java.lang.String&gt;&nbsp;dates,
java.util.List&lt;java.lang.String&gt;&nbsp;hours,
int&nbsp;nationauxEtrangers)</span>
                                                                           throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/RFS.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
